Skip to content
Start here

Create a job

POST/accounts/{account_id}/slurper/jobs

Creates a new R2 Super Slurper migration job to transfer objects from a source bucket (e.g. S3, GCS, R2) to R2.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Path ParametersExpand Collapse
account_id: string
Body ParametersJSONExpand Collapse
overwrite: optional boolean
source: optional object { bucket, secret, vendor, 4 more } or object { bucket, secret, vendor, 2 more } or object { bucket, secret, vendor, 3 more }
One of the following:
R2SlurperS3SourceSchema object { bucket, secret, vendor, 4 more }
bucket: string
secret: object { accessKeyId, secretAccessKey }
accessKeyId: string
secretAccessKey: string
vendor: "s3"
endpoint: optional string
keys: optional array of string
pathPrefix: optional string
region: optional string
R2SlurperGcsSourceSchema object { bucket, secret, vendor, 2 more }
bucket: string
secret: object { clientEmail, privateKey }
clientEmail: string
privateKey: string
vendor: "gcs"
keys: optional array of string
pathPrefix: optional string
R2SlurperR2SourceSchema object { bucket, secret, vendor, 3 more }
bucket: string
secret: object { accessKeyId, secretAccessKey }
accessKeyId: string
secretAccessKey: string
vendor: Provider
jurisdiction: optional "default" or "eu" or "fedramp"
One of the following:
"default"
"eu"
"fedramp"
keys: optional array of string
pathPrefix: optional string
target: optional object { bucket, secret, vendor, jurisdiction }
bucket: string
secret: object { accessKeyId, secretAccessKey }
accessKeyId: string
secretAccessKey: string
vendor: Provider
jurisdiction: optional "default" or "eu" or "fedramp"
One of the following:
"default"
"eu"
"fedramp"
ReturnsExpand Collapse
errors: optional array of ResponseInfo { code, message, documentation_url, source }
minLength1
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: optional array of string
result: optional object { id }
id: optional string
success: optional true

Indicates if the API call was successful or not.

Create a job

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/slurper/jobs \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{}'
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "id": "id"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "id": "id"
  },
  "success": true
}